--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_ci.c	Sun Jun 11 17:03:31 2017
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_ci.c	Sun Jun 11 17:03:31 2017
@@ -828,9 +828,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_alloc_qp);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*queue_sizes_p))
-
 	/* Check for valid HCA handle */
 	if (hca == NULL) {
 		TNF_PROBE_0(tavor_ci_alloc_qp_invhca_fail,
@@ -883,9 +880,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_alloc_special_qp);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*queue_sizes_p))
-
 	/* Check for valid HCA handle */
 	if (hca == NULL) {
 		TNF_PROBE_0(tavor_ci_alloc_special_qp_invhca_fail,
@@ -1475,8 +1469,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_register_mr);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1525,7 +1517,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_register_mr);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl->mr_bindinfo.bi_addr;
@@ -1572,8 +1563,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_register_buf);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
 
@@ -1621,7 +1610,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_register_mr);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl->mr_bindinfo.bi_addr;
@@ -1768,8 +1756,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_register_shared_mr);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1824,7 +1810,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_register_shared_mr);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -1870,8 +1855,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_reregister_mr);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_new != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1907,7 +1890,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_reregister_mr);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -1954,8 +1936,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ci_reregister_buf);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_new != NULL);
 	ASSERT(mr_desc != NULL);
 
@@ -1990,7 +1970,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_reregister_buf);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -2103,7 +2082,6 @@
 		TAVOR_TNF_EXIT(tavor_ci_alloc_mw);
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mwhdl))
 
 	/* Return the MW handle and RKey */
 	*mw_p = (ibc_mw_hdl_t)mwhdl;
@@ -2216,8 +2194,6 @@
 	tavor_mrhdl_t		mrhdl;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -2250,7 +2226,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mr_attr->dmr_paddr;
@@ -3073,11 +3048,7 @@
 	int			imh_len;
 	ddi_dma_handle_t	imh_dmahandle[1];
 };
-_NOTE(SCHEME_PROTECTS_DATA("safe sharing",
-    ibc_mi_s::imh_len
-    ibc_mi_s::imh_dmahandle))
 
-
 /*
  * tavor_ci_map_mem_iov()
  * Map the memory
@@ -3103,8 +3074,6 @@
 	int			kmflag;
 	int			(*callback)(caddr_t);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*wr))
-
 	if (mi_hdl_p == NULL)
 		return (IBT_MI_HDL_INVALID);
 
@@ -3143,7 +3112,6 @@
 		if (mi_hdl == NULL)
 			return (IBT_INSUFF_RESOURCE);
 		sgl = wr->send.wr_sgl;
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgl))
 
 		status = ddi_dma_alloc_handle(state->ts_dip, &dma_attr,
 		    callback, NULL, &dmahdl);
@@ -3183,7 +3151,6 @@
 		sgl = wr->recv.wr_sgl;
 	else
 		sgl = wr->send.wr_sgl;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgl))
 
 	len = iov_attr->iov_list_len;
 	for (i = 0, j = 0; j < len; j++) {
@@ -3468,7 +3435,6 @@
 	memhdl = (tavor_mem_alloc_hdl_t)mem_alloc_hdl;
 
 	/* free the memory */
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*memhdl))
 	ddi_dma_mem_free(&memhdl->tavor_acc_hdl);
 	ddi_dma_free_handle(&memhdl->tavor_dma_hdl);
 
@@ -3530,7 +3496,6 @@
 		TAVOR_TNF_EXIT(tavor_mem_alloc);
 		return (DDI_FAILURE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(**mem_hdl))
 	(*mem_hdl)->tavor_dma_hdl = dma_hdl;
 	(*mem_hdl)->tavor_acc_hdl = acc_hdl;
 
